*==========================================================
* setting more off, processors, working directory
*==========================================================
clear
set more off
macro drop _all
set scheme s1color // plotplain s2mono s1color s1mono lean1

cap cd "/storage/work/s/sxz217/landrental/"
global data = "$pwd" + "data"
global results = "$pwd" + "results"

*==========================================================
* logging
*==========================================================
capture log close _all
log using "$results/S5.1_PanelModel.log", replace

*==========================================================
* load data
*==========================================================
use "$data/imputed20withsvy.dta", clear
mi set
mi xtset fid year

*==========================================================
* run models and export results to datasets
*==========================================================
**===============================================
** fixed effect model
**===============================================
mi estimate, dots post: ///
	xtlogit y ///
	familysize hhage hhage2 hhedu hhgender hhmarried ///
	selfemploy wageinc_log agincome_log landareaha agmachine_log ///
	agsubsidy pensiondum medicaredum mktdishour ///
	region2 region3 region4 ///
	year2 year3, fe
regsave using "$results/fixed_effect.dta", pval replace
estimates store fe

**===============================================
** random effect model
**===============================================
mi estimate, dots post: ///
	xtlogit y ///
	familysize hhage hhage2 hhedu hhgender hhmarried ///
	selfemploy wageinc_log agincome_log landareaha agmachine_log ///
	agsubsidy pensiondum medicaredum mktdishour ///
	region2 region3 region4 ///
	year2 year3, re
regsave using "$results/random_effect.dta", pval replace
estimates store re
hausman fe re

*==========================================================
* end logging
*==========================================================
log close _all

// *==========================================================
// * clear memory and exit
// *==========================================================
// exit, clear STATA


*=========================== END ===========================

